SA_ENABLE(2)

NAME
sa_enable - enable scheduler activation

LIBRARY
libc

SYNOPSIS
#include <sa.h>
int
sa_enable();

DESCRIPTION
sa_enable() is used to enable scheduler activation.

An upcall handler and upcall stacks should be registered with sa_register() and sa_stacks() beforehand.

RETURN VALUES
On success, sa_enable() will not return to userland in the normal way. It returns into the upcall hander with an SA_UPCALL_NEWPROC upcall. Otherwise, a value of -1 is returned and errno is set to indicate the error.

SEE ALSO
sa_register(2), sa_stacks(2), pthread(3)